List invoices
Invoices you created, searched by invoice number, relation or date.
GET https://cotlet.dev/api/v1/e-boekhouden/invoices
read
Searches invoices in the administration. Filter by invoice number, relation_id or date, and page with limit and offset. Each item has the invoice number, date, relation and totals.
Parameters
| Name | Type | Description |
|---|---|---|
| invoice_number string | string | Only this invoice number. |
| relation_id integer | integer | Only invoices of this relation. |
| date date | date | Only invoices on this date. |
| limit integer | integer | Number of items to return. |
| offset integer | integer | Number of items to skip, for the next page. |
Request
curl https://cotlet.dev/api/v1/e-boekhouden/invoices \
-H "Authorization: Bearer $COTLET_API_KEY" result = client.call("e-boekhouden", "list_invoices") const result = await cotlet.call('e-boekhouden', 'list_invoices'); cotlet call e-boekhouden list_invoices Example response
{
"invoices": [
{
"invoice_id": 9021,
"invoice_number": "2026-0143",
"date": "2026-10-12",
"relation_id": 1042,
"total_excl_vat": 850,
"vat": 178.5,
"total_incl_vat": 1028.5
}
],
"total": 1
}